%global install_loc   %{_datadir}/eclipse/dropins/swtbot

Name:           eclipse-swtbot
Version:        2.0.5
Release:        2.20120802git%{?dist}
Summary:        UI and functional testing tool for SWT and Eclipse based applications

License:        EPL
URL:            http://www.eclipse.org/swtbot/
Source0:        http://git.eclipse.org/c/swtbot/org.eclipse.swtbot.git/snapshot/org.eclipse.swtbot-e9e8180dc4553ef658bc372bd99328d55563a02c.tar.bz2
Patch0:         hamcrest.patch
BuildRequires:  tycho
BuildRequires:  eclipse-gef
BuildRequires:  eclipse-pde
BuildArch:      noarch

%description
SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse
based applications. SWTBot provides APIs that are simple to read and write.
The APIs also hide the complexities involved with SWT and Eclipse. This makes
it suitable for UI/functional testing by everyone, not just developers.

%prep
%setup -q -n org.eclipse.swtbot-e9e8180dc4553ef658bc372bd99328d55563a02c

for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
rm -fr $j
fi
done

%patch0 -p1

%build
mvn-rpmbuild clean install -Dmaven.test.skip=true

%install
install -d -m 755 %{buildroot}%{install_loc}

cp -R org.eclipse.swtbot.updatesite/target/repository/plugins/ %{buildroot}%{install_loc}
cp -R org.eclipse.swtbot.updatesite/target/repository/features/ %{buildroot}%{install_loc}

pushd %{buildroot}%{install_loc}/plugins
    rm -fr org.apache.log4j*
    ln -s %{_javadir}/log4j.jar .
    rm -fr org.hamcrest*
    ln -s %{_javadir}/hamcrest/core.jar hamcrest-core.jar
    ln -s %{_javadir}/hamcrest/integration.jar hamcrest-integration.jar
    ln -s %{_javadir}/hamcrest/library.jar hamcrest-library.jar
    ln -s %{_javadir}/hamcrest/text.jar hamcrest-text.jar
popd

%files
%{install_loc}
%doc org.eclipse.swtbot/epl-v10.html 
%doc org.eclipse.swtbot/license.html

%changelog
* Mon Aug 6 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-2.20120802git
- Fix review comments.

* Thu Aug 2 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-1.gita95f41b7ae6d7790dab36bca982d4b833fd2662d
- Initial package
